<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Roboto:300,400,500,700">
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/icon?family=Material+Icons">
    <title>NMOH - Nationell metadataprofil för offentliga handlingar</title>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.13.1/styles/default.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.13.1/highlight.min.js"></script>
</head>
<body class="h-entry">
<div class="head">
    <h1 class="title">Nationell metadataprofil för offentliga handlingar</h1>
    <h2 class="subtitle">Beskriv, gruppera och sätt sökord på handlingen och ange hur man kan få tag på den,
        dess olika varianter, bilagor och relaterade resurser, 17 december 2020</h2>
    <div>
        <dl>
            <dt>Senaste versionen:</dt>
            <dd><a href="https://lankadedata.se/spec/nmoh/">https://lankadedata.se/spec/nmoh/</a></dd>
            <dt>Denna version:</dt>
            <dd><a class="u-url" href="https://lankadedata.se/spec/nmoh/1.1">https://lankadedata.se/spec/nmoh/1.1</a></dd>
            <dt>Föregående version:</dt>
            <dd><a href="https://lankadedata.se/spec/nmoh/1.0">https://lankadedata.se/spec/nmoh/1.0</a></dd>
            <dt class="editor">Författare:</dt>
            <dd class="editor p-author h-card vcard"><a class="p-name fn u-url url"
                                                        href="mailto:matthias@metasolutions.se">Matthias Palmér</a> - MetaSolutions</dd>
            <dd class="editor p-author h-card vcard"><a class="p-name fn u-url url"
                                                        href="mailto:hannes@metasolutions.se">Hannes Ebner</a> - MetaSolutions</dd>
            <dd class="editor p-author h-card vcard">Roger Wallberg - Softronic</dd>
            <dt class="editor">Med bidrag från:</dt>
            <dd class="editor p-author h-card vcard">Ulrica Bohman - Softronic</dd>
            <dd class="editor p-author h-card vcard">Lars Sidén - Softronic</dd>
            <dt class="editor">På uppdrag av:</dt>
            <dd class="editor p-author h-card vcard">Ulrika Domellöf Mattsson - Naturvårdsverket</dd>
            <dt>Licens:</dt>
            <dd><a href="http://creativecommons.org/licenses/by/4.0/">CC-BY 4.0</a></dd>
        </dl>
    </div>
    <p class="copyright">Copyright © 2020 <a
            href="https://entryscape.com">MetaSolutions AB</a></p>
    <hr title="Avdelare till header">
</div>
<nav id="toc"></nav>
<main></main>
<section data-rdforms-appendix="RDF exempel">
    <p>Nedan ser vi ett nästan komplett exempel uttryckt i RDF formatet Turtle.</p>
    <pre><code>@prefix adms: &lt;http://www.w3.org/ns/adms#&gt; .
@prefix rdf: &lt;http://www.w3.org/1999/02/22-rdf-syntax-ns#&gt; .
@prefix odrs: &lt;http://schema.theodi.org/odrs#&gt; .
@prefix xsd: &lt;http://www.w3.org/2001/XMLSchema#&gt; .
@prefix dcterms: &lt;http://purl.org/dc/terms/&gt; .
@prefix rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt; .
@prefix vcard: &lt;http://www.w3.org/2006/vcard/ns#&gt; .
@prefix store: &lt;https://data.naturvardsverket.se/store/&gt; .
@prefix dcat: &lt;http://www.w3.org/ns/dcat#&gt; .
@prefix foaf: &lt;http://xmlns.com/foaf/0.1/&gt; .
@prefix es: &lt;http://entrystore.org/terms/&gt; .
@prefix dc: &lt;http://purl.org/dc/elements/1.1/&gt; .


&lt;https://data.naturvardsverket.se/store/40/resource/22&gt; a &lt;https://data.naturvardsverket.se/ns/dokument/Document&gt; ;
	dcterms:modified "2018-11-14T14:14:05+01:00"^^xsd:date ;
	dcterms:title "BAT-slutsatser för icke-järnmetallindustrin" ;
	dcterms:description """BAT-slutsatserna offentliggjordes den 30 juni 2016 i EUT
        (Europeiska unionens officiella tidning).
        Från och med verksamhetsåret 2017 ska verksamhetsutövare redogöra, i miljörapporten,
        för hur dessa slutsatser följs eller planeras att följas""" ;
	dcterms:publisher &lt;https://data.naturvardsverket.se/store/40/resource/nvv&gt; ;
	dcterms:subject &lt;https://data.naturvardsverket.se/ns/dokument/ReferensdokumentBAT&gt; ;
	dcterms:issued "2018-09-25T13:35:23+02:00"^^xsd:date ;
	dcterms:spatial &lt;http://sws.geonames.org/2661886/&gt; ;
	dcterms:hasVersion _:node1cs95ti5hx1 ;
	dcterms:source &lt;https://data.naturvardsverket.se/ns/dokument/HandlingInkommen&gt; ;
	dcterms:identifier "b31164ed-0745-4e10-84e8-60d9fe63fdfb" ;
	dcterms:date "2016-06-13"^^xsd:date ;
	foaf:page &lt;https://metadatasok.naturvardsverket.se/detalj.html#esc_lookup=b31164ed-0745-4e10-84e8-60d9fe63fdfb&gt; ;
	dcterms:relation _:node1cs95ti5hx2 ;
	&lt;https://data.naturvardsverket.se/ns/dokument/documentID&gt; "2016/1032 (EU)" ;
	&lt;https://data.naturvardsverket.se/ns/dokument/documentType&gt; &lt;https://data.naturvardsverket.se/ns/dokument/Referensdokument&gt; ;
	&lt;https://data.naturvardsverket.se/ns/dokument/bransch&gt; &lt;http://data.scb.se/terms/sni/23&gt; ;
	&lt;https://data.naturvardsverket.se/ns/dokument/iedKod&gt; "2.1, 2.5a, 2.5b, 6.8" ;
	&lt;https://data.naturvardsverket.se/ns/dokument/mpfKod&gt; "13.20-i, 27.70-i, 27.80-i, 27.100-i, 27.101-i, 31.40-i" .

_:node1cs95ti5hx1 a &lt;https://data.naturvardsverket.se/ns/dokument/Resource&gt; ;
	dcterms:title "Genomförandebeslut om faställande av BAT-slutsatser för ice-järnmetallindustrin" ;
	dcterms:description "BAT-slutsatserna offentliggjordes den 30 juni 2016 i EUT (Europeiska unionens officiella tidning)." ;
	&lt;http://schema.org/contentUrl&gt; &lt;https://eur-lex.europa.eu/legal-content/SV/TXT/PDF/?uri=CELEX:32016D1032&amp;from=EN&gt; .

_:node1cs95ti5hx2 a &lt;https://data.naturvardsverket.se/ns/dokument/RelatedDocument&gt; ;
	dcterms:title "Best Available Techniques (BAT) Reference Document for the Non-Ferrous Metals Industries" ;
	dcterms:description "BREF-dokument för icke-järnmetallindustrin" ;
	&lt;https://data.naturvardsverket.se/ns/dokument/relationsKategori&gt; &lt;https://data.naturvardsverket.se/ns/dokument/Referens&gt; ;
	&lt;http://schema.org/contentUrl&gt; &lt;http://eippcb.jrc.ec.europa.eu/reference/BREF/NFM/JRC107041_NFM_Bref_2017.pdf&gt; .
    </code></pre>
</section>
<section data-rdforms-appendix="XML mappning">
    I exemplet nedan är elementen länkade till motsvarande uttryck i datamodellen ovan. I övrigt gäller:
    <ul>
        <li>I de fall man kan ange flera värden ska de ske i upprepade element.</li>
        <li>Namn från vokabulärer, t.ex. "Dispens" ska vara med stor första bokstav, tillåtna värden hittar
            du genom att följa länken för fältet.</li>
        <li>Datumformatet måste vara på formen YYYY-MM-DD. Webbaddresser ska anges med inledande schema (typiskt http eller https).</li>
        <li>För location fältet anger man namnet på en kommun vilket vid skördning matchas mot
            existerande kommuner och förvandlas till en URI med SCBs officiella kommunkod.</li>
        <li>Värdet i för dokumentsubtype måste överenstämma med dokumenttype.</li>
    </ul>
    <script id="xmlExampleSource" type="text/xml">
<metadataNMD xmlns="http://data.naturvardsverket.se/document">
    <metadata>
        <identifier>1196e91c-f372-44cb-926c-ef6751517fc5</identifier>
        <title>Anmälan om dispens för att mäta metan istället för TOC på Lillesjö kraftvärmeverk i Uddevalla kommun</title>
        <description>Dispens 105 § mätning TOC</description>
        <documentid>555-39006-2017-10</documentid>
        <theme>5 Miljö</theme>
        <subtheme>Miljöfarlig verksamhet</subtheme>
        <documenttype>Beslut</documenttype>
        <documentsubtype>Dispens</documentsubtype>
        <location>Uddevalla</location>
        <publisher>Länsstyrelsen i Västra Götalands län</publisher>
        <publisher_email>vastragotaland@lansstyrelsen.se</publisher_email>
        <issued>2018-08-29</issued>
        <source__fix>Upprättad</source__fix>
        <sourcedate>2018-04-04</sourcedate>
        <modified>2018-08-29</modified>
        <landingpage>https://metadatasok.naturvardsverket.se/detalj.html#esc_uri=http://data.naturvardsverket.se/resource/lansstyrelserna/1196e91c-f372-44cb-926c-ef6751517fc5</landingpage>
        <thematicAttributes>
            <branchofindustry>Försörjning av el, gas, värme och kyla</branchofindustry>
            <branchofindustrycode>35</branchofindustrycode>
            <businessactor>Uddevalla Kraft AB</businessactor>
            <caseheadline>Anmälan om dispens för att mäta metan istället för TOC på Lillesjö kraftvärmeverk i Uddevalla kommun</caseheadline>
            <caseid>555-39006-2017</caseid>
            <casetype>Anmälan</casetype>
            <ied_code>IED</ied_code>
            <legalstance></legalstance>
            <localId>1485-1159</localId>
            <nationalId></nationalId>
            <objectname>Lillesjö Avfallskraftvärmeverk</objectname>
            <organisationnumber>556010-7004</organisationnumber>
        </thematicAttributes>
        <security></security>
        <keywords></keywords>
        <distributions>
            <distribution>
                <accessurl></accessurl>
                <title></title>
                <description></description>
                <license></license>
            </distribution>
        </distributions>
        <relations>
            <relation>
                <accessurl></accessurl>
                <title></title>
                <description></description>
                <relation__fix>Bilaga</relation__fix>
            </relation>
        </relations>
    </metadata>
</metadataNMD></script>
    <pre><code id="xmlExample" class="xml">
    </code></pre>
</section>
<script>
  const e2i = {
    metadata: {
      identifier: '#nvvdok_Document-dcterms_identifier',
      title: '#nvvdok_Document-dcterms_title',
      description: '#nvvdok_Document-dcterms_description',
      documentid: '#nvvdok_Document-nvvdok_documentID',
      keywords: '#nvvdok_Document-dcterms_title',
      theme: '#nvvdok_Document-nvvdok_tema',
      subtheme: '#nvvdok_Document-nvvdok_subtema',
      documenttype: '#nvvdok_Document-nvvdok_documentType',
      documentsubtype: '#nvvdok_Document-dcterms_subject',
      location: '#nvvdok_Document-dcterms_spatial',
      publisher: '#org_Organization-skos_prefLabel',
      publisher_email: '#nvvdok_Document-nvvdok_contactPointEmail',
      //issued
      sourcedate: '#nvvdok_Document-dcterms_date',
      modified: '#nvvdok_Document-dcterms_issued',
      source__fix: '#nvvdok_Document-dcterms_source',
      landingpage: '#nvvdok_Document-dcterms_source',
    },
    thematicAttributes: {
      branchofindustrycode: '#nvvdok_Document-nvvdok_bransch',
      organisationnumber: '#nvvdok_Document-nvvdok_organisationsnummer',
      businessactor: '#nvvdok_Document-nvvdok_verksamhetsutovare',
      caseheadline: '#nvvdok_Document-nvvdok_arendeRubrik',
      caseid: '#nvvdok_Document-nvvdok_arendeBeteckning',
      casetype: '#nvvdok_Document-nvvdok_arendeTyp',
      localid: '#nvvdok_Document-nvvdok_lokaltID',  // MAPPING WRONG Camelcase
      nationalid: '#nvvdok_Document-nvvdok_nationelltID', // MAPPING WRONG Camelcase
      objectname: '#nvvdok_Document-nvvdok_objektNamn',
    },
    relation: { // Mapping missing
      accessurl: '#nvvdok_RelatedDocument-schema_contentUrl',
      title: '#nvvdok_RelatedDocument-dcterms_title',
      description: '#nvvdok_RelatedDocument-dcterms_description',
      relation__fix: '#nvvdok_RelatedDocument-nvvdok_relationsKategori'
    },
    distribution: {
      accessurl: '#nvvdok_Resource-schema_contentUrl',
      title: '#nvvdok_Resource-dcterms_title',
      description: '#nvvdok_Resource-dcterms_description',
      license: '#nvvdok_Resource-dc_rights'
    },
  };
  var sXML = document.getElementById('xmlExampleSource').innerText;
  var sourceLines = sXML.trim().split("\n");
  var strs = [];
  var escapeStr = function(str) {
    return str.replace(/</g, '&lt;').replace(/>/g, '&gt;');
  };
  var parents = [];
  sourceLines.forEach(function(line)  {
    var match = line.match(/<\/?(\w*)/);
    if (match && match.length > 0) {
      var tag = match[1];
      if (line.indexOf('</') === -1) {
        parents.push(tag);
      } else if (line.indexOf('/' + tag + '>') && parents.length > 0 && parents[parents.length - 1] === tag) {
        parents.pop();
      }
      var parent = parents.length > 0 ? parents[parents.length-1] : undefined;
      if (e2i[parent] && e2i[parent][tag]) {
        return strs.push(escapeStr(line).replace(new RegExp(tag, 'g'), '<a href="' + e2i[parent][tag] + '">' + tag +
          '</a>'));
      }
    }
    strs.push(escapeStr(line));
  });
  var node = document.getElementById('xmlExample');
  node.innerHTML = strs.join('\n').replace(/__fix/g, '');
  hljs.initHighlightingOnLoad(node);
</script>
<script src="https://lankadedata.se/spec/assets/fixup.js"></script>
</body>
    <script src="bmd.rdforms.js"></script>
    <script src="rdfjson.js"></script>
    <script src="nvv.js"></script>
    <link rel="stylesheet" href="https://lankadedata.se/spec/assets/style.css">
    <style>
        hr {
            height: 0px;
        }
    </style>
</html>
